# Flask-Stride

## Introduction
Flask-Stride is a [Flask](http://flask.pocoo.org/) extension that lets you easily create [Atlassian Stride](https://www.stride.com/) apps (a.k.a bots)

## Installation
Using Pip: `pip install flask-stride`

## Example

```
from flask import Flask
from flask_stride import Stride

app = Flask(__name__)

s = Stride(key='My Bot')

# This is code will be triggered when someone @mentions your app.
@s.chat_bot('my_bot', '/mention', '/direct-message')
def chat_f():
    # Do Stuff
    # Make sure it returns within 10s.
    return ('',204)

# This is code will be triggered when there is a message that matches the specified regex.
@s.chat_bot_messages('my_msgs', 'a.regex.pattern.*', '/messages')
def chat_msg_f():
    # Do Other Stuff
    # Make sure it returns within 10s.
    return ('',204)

# This needs to be called after defining all of your bot code
s.init_app(a)
```
The above code will create a simple bot called "My Bot" and setups all of the endpoints required.
Whenver your bot is mentioned in a conversation or directly, the `chat_f()` function will be executed.

As an added bonus, the App Descriptor endpoint is automatically configured for you. By default, it is located at [/app-descriptor.json]() of your web server.
